using System;
using NinjaTrader.Cbi;

internal sealed class Delegate367 : MulticastDelegate
{
	public extern Provider Invoke(object object_0);

	public static Provider smethod_0(object object_0, Delegate367 delegate367_1)
	{
		return delegate367_1(object_0);
	}

	public extern Delegate367(object object_0, IntPtr intptr_0);

	static Delegate367()
	{
		Class10.smethod_13(typeof(Delegate367).TypeHandle);
	}

	internal static Delegate367 delegate367_0;
}
